<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

global $db_type;
if($db_type != 'mysql'){
  include_once ( dirname(__FILE__) . DIRECTORY_SEPARATOR . "class.Pgsql.php" );
}else{
  include_once ( dirname(__FILE__) . DIRECTORY_SEPARATOR . "class.Mysql.php" );
}





/* -------------------- *quote* -------------------- */
function db_full_quote ( $str )
{
	return "'" . db_quote($str) . "'";
}

function db_quote_array ($arr)
{
        return array_map ( "db_quote", $arr );
}

function db_full_quote_array ($arr)
{
	return array_map ( "db_full_quote", $arr );
}
/* -------------------- end *quote* -------------------- */
?>
